View Issue Details

IDProjectCategoryView StatusLast Update
0004624GNUnetexit daemonpublic2018-06-07 00:24
ReporterlynXAssigned ToChristian Grothoff 
PrioritylowSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004624: multi-port exits are broken: daemon confuses port numbers
DescriptionWhen a multi-port exit configuration is given, all ports map to the first in the list.

When a single-port exit configuration is given before the multi-port configuration, then all ports map to the port specified in the first single-port statement.

In fact, *any* port number is accepted, so you can even execute telnet foo.gnu 26317 and it will still connect to the first port in the configuration.

Steps To ReproduceConfiguration one:

[secret.gnunet.]
TCP_REDIRECTS = 23:169.254.86.1:2323;80:169.254.86.1:80;6667:169.254.86.1:6667

-> telnet secret.gnu <anynumber> will connect to 169.254.86.1:2323.


Configuration two:

[http.gnunet.]
TCP_REDIRECTS = 80:169.254.86.1:80

[secret.gnunet.]
TCP_REDIRECTS = 23:169.254.86.1:2323;80:169.254.86.1:80;6667:169.254.86.1:6667

-> telnet secret.gnu <anynumber> will connect to 169.254.86.1:80.
TagsNo tags attached.

Activities

Christian Grothoff

2016-08-27 11:40

manager   ~0011064

Fixed in SVN 37786

Issue History

Date Modified Username Field Change
2016-08-23 21:02 lynX New Issue
2016-08-23 21:04 lynX Description Updated View Revisions
2016-08-23 21:04 lynX Steps to Reproduce Updated View Revisions
2016-08-27 11:40 Christian Grothoff Note Added: 0011064
2016-08-27 11:40 Christian Grothoff Status new => resolved
2016-08-27 11:40 Christian Grothoff Fixed in Version => 0.11.0pre66
2016-08-27 11:40 Christian Grothoff Resolution open => fixed
2016-08-27 11:40 Christian Grothoff Assigned To => Christian Grothoff
2016-08-27 11:40 Christian Grothoff Product Version => SVN HEAD
2016-08-27 11:40 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed